Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.discovery
Class GetRecordById

    java.lang.Object
      org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
          org.deegree.ogcwebservices.csw.AbstractCSWRequest
              org.deegree.ogcwebservices.csw.discovery.GetRecordById

All Implemented Interfaces:
  Serializable, OGCWebServiceRequest

    public class GetRecordById

extends AbstractCSWRequest

The mandatory GetRecordById request retrieves the default representation of catalogue records using their identifier. The GetRecordById operation is an implementation of the Present operation from the general model. This operation presumes that a previous query has been performed in order to obtain the identifiers that may be used with this operation. For example, records returned by a GetRecords operation may contain references to other records in the catalogue that may be retrieved using the GetRecordById operation. This operation is also a subset of the GetRecords operation, and is included as a convenient short form for retrieving and linking to records in a catalogue.

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`GetRecordById(String id, String version, Map<String,String> vendorSpecificParameters, String[] ids, String elementSetName)`

Method Summary
`static GetRecordById` | `create(Map<String,String> kvp)` Creates a new `GetRecordById` instance from the values stored in the submitted Map.
`static GetRecordById` | `create(String id, Element root)` creates a `GetRecordById` request from the XML fragment passed.
`static GetRecordById` | `create(String id, Map<String,String> kvp)` Creates a new `GetRecordById` instance from the values stored in the submitted Map.
`String` | `getElementSetName()`
`String[]` | `getIds()`

Methods inherited from class org.deegree.ogcwebservices.csw.AbstractCSWRequest
`getNSMappings, getServiceName`

Methods inherited from class org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
`getId, getParam, getParamAsInt, getParamValues, getRequestParameter, getRequiredParam, getVendorSpecificParameter, getVendorSpecificParameters, getVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetRecordById

    GetRecordById(String id,
                  String version,
                  Map<String,String> vendorSpecificParameters,
                  String[] ids,
                  String elementSetName)

Parameters:
  `ids` - identifiers of the requested catalogue entries
  `elementSetName` - requested element set (brief|summary|full). Can be `null`; will be treaded as full.

Method Detail

### create

    public static GetRecordById create(String id,
                                       Element root)
                                throws MissingParameterValueException,
                                       InvalidParameterValueException,
                                       OGCWebServiceException

  creates a `GetRecordById` request from the XML fragment passed. The passed element must be valid against the OGC CSW 2.0 GetRecordById schema.

  Parameters:
    `id` - unique ID of the request
    `root` - root element of the GetRecors request
  Returns:
    a GetRecordById bean representation created from the xml fragment.
  Throws:
    `MissingParameterValueException`
    `InvalidParameterValueException`
    `OGCWebServiceException`

### create

    public static GetRecordById create(Map<String,String> kvp)

  Creates a new `GetRecordById` instance from the values stored in the submitted Map. Keys (parameter names) in the Map must be uppercase.

  Parameters:
    `kvp` - Map containing the parameters
  Returns:
    a GetRecordById bean representation, the internal request id will be set to Long.toString( IDGenerator.getInstance().generateUniqueID() ).
  To do:
    evaluate vendorSpecificParameter

### create

    public static GetRecordById create(String id,
                                       Map<String,String> kvp)

  Creates a new `GetRecordById` instance from the values stored in the submitted Map. Keys (parameter names) in the Map must be uppercase.

  Parameters:
    `id` - of the request, and not the requested ids.
    `kvp` - Map containing the parameters
  Returns:
    a GetRecordById bean representation.
  To do:
    evaluate vendorSpecificParameter

### getElementSetName

    public String getElementSetName()

  Returns:
    the requested element set name. If the returned value equals `null` a 'summary' request shall be performed. possible values are:
    - brief
    - summary
    - full

### getIds

    public String[] getIds()

  Returns:
    the requested ids as an array of strings

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org